from setuptools import setup, find_packages

setup(
    name="neuroflex",
    version="0.0.3",
    author="kasinadhsarma",
    author_email="kasinadhsarma@gmail.com",
    description="An advanced neural network framework with interpretability, generalization, robustness, and fairness features",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/VishwamAI/neuroflex",
    packages=find_packages(where='src'),
    package_dir={'': 'src'},
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
    ],
    python_requires=">=3.8",
    install_requires=[
        "jax>=0.3.0",
        "jaxlib>=0.3.0",
        "ml_dtypes",
        "flax>=0.6.0",
        "optax",
        "tensorflow-cpu",
        "keras",
        "gym",
        "pytest",
        "flake8",
        "numpy",
        "scipy",
        "matplotlib",
        "aif360",
        "packaging",
        "gast",
        "wrapt",
        "pennylane",
        "ibm-watson-machine-learning",
        "scikit-learn",
        "pandas",
        "adversarial-robustness-toolbox",
        "lale",
        "qutip",
        "pyquil",
        "qiskit",
        "biopython",
        "scikit-bio",
        "ete3",
        "xarray",
        "torch",
        # Removed direct GitHub dependency: "alphafold @ git+https://github.com/google-deepmind/alphafold.git"
        # If needed, install alphafold separately or specify a PyPI-compatible version
        "shap",
    ],
    extras_require={
        'dev': [
            'pytest',
            'flake8',
        ],
    },
)
